Skip to content

Transaction totals

GET
/v1/transaction-report-totals
curl --request GET \
--url 'https://api-admin.billz.ai/v1/transaction-report-totals?start_date=2026-08-01&end_date=2026-08-31&shop_ids=09737a5c-19ee-4eb2-af02-4bdabf8a15e5%2Cb03661ba-731a-4e50-8f37-d220b89d718e&price_type=0' \
--header 'Authorization: Bearer <token>' \
--header 'platform-id: 7d4a4c38-dd84-4902-b744-0488b80a4c01'

Error codes: 400 — input validation error; 404 — object not found; 401, 403, 429, 500 — shared by all methods. Body formats and semantics: Response codes and errors.

start_date
string format: date
Example
2026-08-01

Format YYYY-MM-DD, without time

end_date
string format: date
Example
2026-08-31

Format YYYY-MM-DD, without time

shop_ids
Array<string>

If the parameter is empty, the shops available to the user are used

Example
[
"09737a5c-19ee-4eb2-af02-4bdabf8a15e5",
"b03661ba-731a-4e50-8f37-d220b89d718e"
]
seller_ids
Array<string>
cashier_ids
Array<string>
payment_type_ids
Array<string>
order_types
Array<string>
price_type
integer format: int32
0
platform-id
string
default: 7d4a4c38-dd84-4902-b744-0488b80a4c01

Platform identifier. A static value is used for integrations.

Successful response

Media typeapplication/json
object
sold_measurement_value
number format: double
returned_measurement_value
number format: double
total_price
number format: double
discount_percent
number format: double
gross_sales
number format: double
average_product_price
number format: double
payments

Amounts by payment type

Array<object>
object
payment_type_id
string
payment_type_name
string
sum
number
Examplegenerated
{
"sold_measurement_value": 1,
"returned_measurement_value": 1,
"total_price": 1,
"discount_percent": 1,
"gross_sales": 1,
"average_product_price": 1,
"payments": [
{
"payment_type_id": "example",
"payment_type_name": "example",
"sum": 1
}
]
}